Bug 2073628 - [abrt] gnome-shell: meta_window_get_window_type(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: meta_window_get_window_type(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 36
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2a963490ad606c5f6f106507194...
: 2066958 2071105 2078859 2079609 2080690 2083225 2083925 2084670 2084852 2085246 2085302 2085395 2085822 2086203 2086266 2086328 2086382 2086418 2086522 2086886 2086987 2088032 2088039 2088254 2088306 2088354 2088399 2088662 2088856 2088902 2089017 2089252 2089457 2089702 2089941 2089948 2090444 2090542 2091122 2091171 2091364 2092062 (view as bug list)
Depends On:
Blocks: F36FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-04-09 01:38 UTC by Serial.com
Modified: 2022-06-04 16:20 UTC (History)
43 users (show)

Fixed In Version: gnome-shell-42.2-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-01 01:24:41 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (235.43 KB, text/plain)
2022-04-09 01:38 UTC, Serial.com
no flags Details
File: core_backtrace (38.70 KB, text/plain)
2022-04-09 01:38 UTC, Serial.com
no flags Details
File: cpuinfo (2.48 KB, text/plain)
2022-04-09 01:38 UTC, Serial.com
no flags Details
File: dso_list (347 bytes, text/plain)
2022-04-09 01:38 UTC, Serial.com
no flags Details
File: environ (1.26 KB, text/plain)
2022-04-09 01:38 UTC, Serial.com
no flags Details
File: exploitable (123 bytes, text/plain)
2022-04-09 01:38 UTC, Serial.com
no flags Details
File: limits (1.29 KB, text/plain)
2022-04-09 01:38 UTC, Serial.com
no flags Details
File: maps (3.94 KB, text/plain)
2022-04-09 01:38 UTC, Serial.com
no flags Details
File: mountinfo (2.79 KB, text/plain)
2022-04-09 01:39 UTC, Serial.com
no flags Details
File: open_fds (6.80 KB, text/plain)
2022-04-09 01:39 UTC, Serial.com
no flags Details
File: proc_pid_status (1.39 KB, text/plain)
2022-04-09 01:39 UTC, Serial.com
no flags Details
File: var_log_messages (6.94 KB, text/plain)
2022-04-09 01:39 UTC, Serial.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-shell issues 5330 0 None closed [windowManager.js] TypeError: window is null on shell restart 2022-05-19 11:37:17 UTC

Description Serial.com 2022-04-09 01:38:45 UTC
Version-Release number of selected component:
gnome-shell-42.0-2.fc36

Additional info:
reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/app-gnome-org.gnome.Extensions-0.scope
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
executable:     /usr/bin/gnome-shell
journald_cursor: s=b9e5dee7914b4ffdbbb81b8825ed1370;i=52da5;b=21bb10dcad3b437282526937145f8d57;m=2ff8fb7e0;t=5dc2d0835cd77;x=2b6fd68e2a75e5f1
kernel:         5.17.1-300.fc36.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 0 (10 frames)
 #0 meta_window_get_window_type at ../src/core/window.c:7091
 #1 meta_window_actor_queue_destroy at ../src/compositor/meta-window-actor.c:794
 #2 meta_compositor_real_remove_window at ../src/compositor/compositor.c:524
 #3 meta_window_unmanage at ../src/core/window.c:1454
 #4 meta_display_unmanage_windows at ../src/core/display.c:2702
 #5 meta_display_close at ../src/core/display.c:1137
 #7 shell_global_reexec_self at ../src/shell-global.c:1264
 #8 ffi_call_unix64 at ../src/x86/unix64.S:105
 #9 ffi_call_int at ../src/x86/ffi64.c:672
 #10 Gjs::Function::invoke(JSContext*, JS::CallArgs const&, JS::Handle<JSObject*>, _GIArgument*) at ../gi/function.cpp:968

Potential duplicate: bug 2064452

Comment 1 Serial.com 2022-04-09 01:38:50 UTC
Created attachment 1871543 [details]
File: backtrace

Comment 2 Serial.com 2022-04-09 01:38:51 UTC
Created attachment 1871544 [details]
File: core_backtrace

Comment 3 Serial.com 2022-04-09 01:38:52 UTC
Created attachment 1871545 [details]
File: cpuinfo

Comment 4 Serial.com 2022-04-09 01:38:54 UTC
Created attachment 1871546 [details]
File: dso_list

Comment 5 Serial.com 2022-04-09 01:38:55 UTC
Created attachment 1871547 [details]
File: environ

Comment 6 Serial.com 2022-04-09 01:38:56 UTC
Created attachment 1871548 [details]
File: exploitable

Comment 7 Serial.com 2022-04-09 01:38:58 UTC
Created attachment 1871549 [details]
File: limits

Comment 8 Serial.com 2022-04-09 01:38:59 UTC
Created attachment 1871550 [details]
File: maps

Comment 9 Serial.com 2022-04-09 01:39:01 UTC
Created attachment 1871551 [details]
File: mountinfo

Comment 10 Serial.com 2022-04-09 01:39:02 UTC
Created attachment 1871552 [details]
File: open_fds

Comment 11 Serial.com 2022-04-09 01:39:04 UTC
Created attachment 1871553 [details]
File: proc_pid_status

Comment 12 Serial.com 2022-04-09 01:39:05 UTC
Created attachment 1871554 [details]
File: var_log_messages

Comment 13 Adithya Venkateswaran 2022-04-17 03:39:53 UTC
Similar problem has been detected:

Try logging in to GNOME Session with Wayland. A login loop is encountered. 
My system has an integrated AMD GPU (Vega 8 - Ryzen 3550H) and a dedicated
 Nvidia GPU (GTX 1650 mobile) with proprietary drivers installed.

reporter:       libreport-2.17.1
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/session.slice/org.gnome.Shell@x11.service
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
dso_list:       /usr/bin/gnome-shell gnome-shell-42.0-2.fc36.x86_64 (Fedora Project) 1648569720
executable:     /usr/bin/gnome-shell
journald_cursor: s=c6a940f4bef04a5c8dd741c61808b7e2;i=2fbe;b=dd432a6cd73f44248952cb6dedbd753a;m=315cb47a;t=5dccfee9797e9;x=f35bdc5296b4d18c
kernel:         5.17.2-300.fc36.x86_64
package:        gnome-shell-42.0-2.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Kamil Páral 2022-04-18 20:39:56 UTC
Similar problem has been detected:

This crash seems to occur each time I log out from an X11 session. That means that the next time I log in, I'm greeted with an abrt popup saying that gnome-shell crashed.

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/session.slice/org.gnome.Shell@x11.service
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
dso_list:       /usr/bin/gnome-shell gnome-shell-42.0-2.fc36.x86_64 (Fedora Project) 1649164473
executable:     /usr/bin/gnome-shell
journald_cursor: s=c0f3e9ed973540ddace88459c92d22a7;i=2677c;b=b254d2f1f8e34db28952c25d828104dc;m=3937a1e7;t=5dcf2f86a97ea;x=aa8ca98680ffa8e9
kernel:         5.17.3-300.fc36.x86_64
package:        gnome-shell-42.0-2.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Kamil Páral 2022-04-18 20:49:29 UTC
*** Bug 2071105 has been marked as a duplicate of this bug. ***

Comment 16 Kamil Páral 2022-04-18 20:51:02 UTC
*** Bug 2066958 has been marked as a duplicate of this bug. ***

Comment 17 Kamil Páral 2022-04-18 20:57:38 UTC
The same bug for F37 seems to be bug 2064452.

Reproducer:
1. Log in and out of X11 session repeatedly. On the second and each following login, you'll see a fresh crash notification.

Proposing for a blocker discussion. X11 is not the default session, but in certain configurations (nvidia?) we still default to it, I think? It could be said that logging out doesn't work correctly when it crashes:
https://fedoraproject.org/wiki/Fedora_36_Beta_Release_Criteria#Shutdown.2C_reboot.2C_login.2C_logout

Comment 18 Adam Williamson 2022-04-19 16:14:28 UTC
-4 blocker / +4 FE in https://pagure.io/fedora-qa/blocker-review/issue/764 , so rejecting as blocker, accepting as FE.

Comment 19 oystein 2022-04-26 11:21:05 UTC
*** Bug 2078859 has been marked as a duplicate of this bug. ***

Comment 20 Nathan Mourey II 2022-04-27 21:24:54 UTC
*** Bug 2079609 has been marked as a duplicate of this bug. ***

Comment 21 Serial.com 2022-05-01 01:13:39 UTC
*** Bug 2080690 has been marked as a duplicate of this bug. ***

Comment 22 Jake Wells 2022-05-09 13:50:35 UTC
*** Bug 2083225 has been marked as a duplicate of this bug. ***

Comment 23 Serial.com 2022-05-11 03:40:03 UTC
*** Bug 2083925 has been marked as a duplicate of this bug. ***

Comment 24 Alexey Rubtsov 2022-05-12 16:03:03 UTC
*** Bug 2084670 has been marked as a duplicate of this bug. ***

Comment 25 carlosalberto_filho 2022-05-12 16:46:48 UTC
*** Bug 2084852 has been marked as a duplicate of this bug. ***

Comment 26 ingli 2022-05-12 21:11:39 UTC
*** Bug 2085246 has been marked as a duplicate of this bug. ***

Comment 27 Elva Hadi 2022-05-12 23:56:47 UTC
*** Bug 2085302 has been marked as a duplicate of this bug. ***

Comment 28 breier 2022-05-13 09:03:23 UTC
*** Bug 2085395 has been marked as a duplicate of this bug. ***

Comment 29 Michael Rosile 2022-05-13 12:04:16 UTC
Similar problem has been detected:

I logged out of an Xorg session, and then logged in to a Wayland session.

reporter:       libreport-2.17.1
backtrace_rating: 3
cgroup:         0::/user.slice/user-774400001.slice/user@774400001.service/app.slice/app-gnome-org.gnome.Nautilus-0.scope
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
executable:     /usr/bin/gnome-shell
journald_cursor: s=2cf3d474c0254212a09be08e146c005e;i=f0498;b=b60f785d769c4f18ad30a106db9ddd2a;m=5a09d3f;t=5dee342d8f3f5;x=8c6ffecf317777f3
kernel:         5.17.6-300.fc36.x86_64
package:        gnome-shell-42.0-3.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            774400001

Comment 30 Aleksei 2022-05-13 17:48:51 UTC
*** Bug 2085822 has been marked as a duplicate of this bug. ***

Comment 31 ingli 2022-05-14 16:38:41 UTC
*** Bug 2086203 has been marked as a duplicate of this bug. ***

Comment 32 Dagan McGregor 2022-05-15 08:35:45 UTC
*** Bug 2086266 has been marked as a duplicate of this bug. ***

Comment 33 Brian J. Murrell 2022-05-15 15:56:43 UTC
Similar problem has been detected:

Restarting gnome-shell

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1001.slice/user@1001.service/app.slice/app-gnome-org.gnome.Extensions-0.scope
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
executable:     /usr/bin/gnome-shell
journald_cursor: s=7b1fc9c2f9a94643811cc51c6fbc0855;i=94c74;b=307444e65daa4e539f8b1e20bb6cc5fd;m=10551c36;t=5df0e3c5034f2;x=1141d2b471bf15e4
kernel:         5.17.7-300.fc36.x86_64
package:        gnome-shell-42.0-3.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 34 Rubén 2022-05-15 18:02:57 UTC
*** Bug 2086328 has been marked as a duplicate of this bug. ***

Comment 35 Joran Martinière 2022-05-15 19:50:55 UTC
Similar problem has been detected:

Happens when closing session and opening another one just after.

reporter:       libreport-2.17.1
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/session.slice/org.gnome.Shell@x11.service
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
executable:     /usr/bin/gnome-shell
journald_cursor: s=61ec0afa189e45a886710f1703fcac36;i=974c;b=c3cdc84e952c4630b9dec26e6898ca6e;m=11e512c4d;t=5df0b94128975;x=71b3b81a094077a2
kernel:         5.17.5-200.fc35.x86_64
package:        gnome-shell-42.0-3.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 36 james.u.smith 2022-05-16 03:35:41 UTC
*** Bug 2086382 has been marked as a duplicate of this bug. ***

Comment 37 ryosuke185 2022-05-16 06:08:56 UTC
*** Bug 2086418 has been marked as a duplicate of this bug. ***

Comment 38 leandromkemp 2022-05-16 11:29:50 UTC
*** Bug 2086522 has been marked as a duplicate of this bug. ***

Comment 39 Mateus Rodrigues Costa 2022-05-16 16:43:09 UTC
Similar problem has been detected:

Restarted gnome-shell 3 different times due to noticing a crash on logs earlier causing a shell restart.

Seems to be somehow related to Firefox, being on a Firefox (Flatpak) focused tab played a Youtube video seems to make it easier to trigger.

Could be some specific interation between my hardware though.

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/session.slice/org.gnome.Shell@x11.service
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
dso_list:       /usr/bin/gnome-shell gnome-shell-42.0-3.fc36.x86_64 (Fedora Project) 1652660601
executable:     /usr/bin/gnome-shell
journald_cursor: s=4d9209d19c614f01ad854f5039827b78;i=2859b;b=65e28c8a8b774e5185a74a4fe0ef9108;m=89141d63;t=5df234341057c;x=cfe30723cd0da9a
kernel:         5.17.6-300.fc36.x86_64
package:        gnome-shell-42.0-3.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 40 breier 2022-05-16 18:21:22 UTC
*** Bug 2086886 has been marked as a duplicate of this bug. ***

Comment 41 John Todd 2022-05-17 04:17:46 UTC
*** Bug 2086987 has been marked as a duplicate of this bug. ***

Comment 42 Matthew Saltzman 2022-05-17 16:28:01 UTC
Similar problem has been detected:

Crashed on resume from suspend. When it does, icons and characters on the lock screen and on the unlocked screen are all wrong.

reporter:       libreport-2.17.1
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/app-gnome-org.gnome.Software-0.scope
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
dso_list:       /usr/bin/gnome-shell gnome-shell-42.0-3.fc36.x86_64 (Fedora Project) 1652196709
executable:     /usr/bin/gnome-shell
journald_cursor: s=773ec2ab459544a49a38bf37e642108c;i=3127e;b=16a1f02ae3384cf4a5ab4b8a4d540166;m=27631fc0f;t=5df37893f1707;x=65da461af1d9f6ea
kernel:         5.17.6-300.fc36.x86_64
package:        gnome-shell-42.0-3.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 43 Andrei Nevedomskii 2022-05-17 18:27:35 UTC
Similar problem has been detected:

I was running a game from Steam under X11 session, then closed the game and tried to switch to Wayland session. 

reporter:       libreport-2.17.1
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/session.slice/org.gnome.Shell@x11.service
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
dso_list:       /usr/bin/gnome-shell gnome-shell-42.0-3.fc36.x86_64 (Fedora Project) 1652351875
executable:     /usr/bin/gnome-shell
journald_cursor: s=c0e95596a3c743228bf414d311e00586;i=18d2b6;b=ac17dbb637a6407c9d936683d364ba21;m=1846555dd;t=5df3933a947bc;x=f98907b4c5c83f3c
kernel:         5.17.7-300.fc36.x86_64
package:        gnome-shell-42.0-3.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 44 yalovoy 2022-05-18 17:21:43 UTC
*** Bug 2088032 has been marked as a duplicate of this bug. ***

Comment 45 Nilanshu V Rajmane 2022-05-18 17:37:42 UTC
*** Bug 2088039 has been marked as a duplicate of this bug. ***

Comment 46 Andre Costa 2022-05-18 21:33:49 UTC
Similar problem has been detected:

it happens when I change the language format from "Brazi (Portuguese)" to "United States (English)" and vice-versa, and login again

reporter:       libreport-2.17.1
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/session.slice/org.gnome.Shell@x11.service
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
executable:     /usr/bin/gnome-shell
journald_cursor: s=799a93e720134adbafbbe64774b45add;i=73aa;b=8014397cc82143859d3aa113e9060e2c;m=867220703;t=5df4f9e2e33b6;x=84f75a8c45b0b337
kernel:         5.17.7-300.fc36.x86_64
package:        gnome-shell-42.0-3.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 47 karakulov.ii 2022-05-19 05:25:55 UTC
*** Bug 2088254 has been marked as a duplicate of this bug. ***

Comment 48 Roman 2022-05-19 07:31:26 UTC
*** Bug 2088306 has been marked as a duplicate of this bug. ***

Comment 49 Jonas Ådahl 2022-05-19 07:36:20 UTC
The crash here is not when logging out, it's when hitting Alt+F2 -> "restart". It should be fixed by mutter-42.1. Upstream report: https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/5330

Comment 50 Alexander 2022-05-19 09:39:44 UTC
*** Bug 2088354 has been marked as a duplicate of this bug. ***

Comment 51 ryosuke185 2022-05-19 11:36:01 UTC
*** Bug 2088399 has been marked as a duplicate of this bug. ***

Comment 52 Kamil Páral 2022-05-19 11:36:59 UTC
(In reply to Jonas Ådahl from comment #49)
> The crash here is not when logging out, it's when hitting Alt+F2 -> "restart".

I'm quite sure I didn't do that, when reporting comment 14 and comment 17. I was just logging in and out.

Comment 53 Jonas Ådahl 2022-05-19 12:15:53 UTC
(In reply to Kamil Páral from comment #52)
> (In reply to Jonas Ådahl from comment #49)
> > The crash here is not when logging out, it's when hitting Alt+F2 -> "restart".
> 
> I'm quite sure I didn't do that, when reporting comment 14 and comment 17. I
> was just logging in and out.

Maybe this is not the same bug as you have then, since the backtrace in this bug has "shell_global_reexec_self()" in it.

Comment 54 Kamil Páral 2022-05-19 12:22:36 UTC
OK, when the fix is available, I'll test it, and if it still crashes on logging out, I'll try to convince abrt to report a separate bug (I'm not exactly sure how to do that, though).

Comment 55 yalovoy 2022-05-20 02:00:17 UTC
*** Bug 2088662 has been marked as a duplicate of this bug. ***

Comment 56 sean 2022-05-20 07:45:47 UTC
Similar problem has been detected:

logged out to install extension update and got error after logging back in. all extensions where disabled but could be re-enabled with the settings screen for them

reporter:       libreport-2.17.1
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/app-gnome-org.gnome.Extensions-0.scope
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
executable:     /usr/bin/gnome-shell
journald_cursor: s=200630295d13491a9b716129984ef45d;i=a17e;b=d8fffb2e46ea4fc4aa664362ea188a88;m=47442ba;t=5df6c7c3ca1b0;x=4be8ed87e27727ab
kernel:         5.17.7-300.fc36.x86_64
package:        gnome-shell-42.0-3.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 57 Serial.com 2022-05-21 02:55:44 UTC
*** Bug 2088856 has been marked as a duplicate of this bug. ***

Comment 58 alex 2022-05-21 08:04:04 UTC
Similar problem has been detected:

The crash notification appeared when I logged out and then logged back in. I just upgraded from F35 to F36.

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/session.slice/org.gnome.Shell@x11.service
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
dso_list:       /usr/bin/gnome-shell gnome-shell-42.0-3.fc36.x86_64 (Fedora Project) 1653116934
executable:     /usr/bin/gnome-shell
journald_cursor: s=4f4266d4e1aa4592a4ce2bafec12bf59;i=2357df;b=c6b44ca407424460aa8d29b1b71db614;m=46cdbe38;t=5df80bdb9f58e;x=c0eb307208b9923e
kernel:         5.17.8-300.fc36.x86_64
package:        gnome-shell-42.0-3.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 59 Georg Grabler 2022-05-21 13:29:25 UTC
*** Bug 2088902 has been marked as a duplicate of this bug. ***

Comment 60 Mike 2022-05-21 20:46:36 UTC
Happens when I login on Xorg
https://retrace.fedoraproject.org/faf/reports/364769/

Comment 61 alex 2022-05-21 23:56:21 UTC
Similar problem has been detected:

I think this happened when I logged out and logged back in to switch between Xorg and Wayland. The screen temporarily froze for several seconds once when I clicked the "Log Out" button in the menu but I'm not sure if that was when this crash happened.

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/session.slice/org.gnome.Shell@x11.service
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
dso_list:       /usr/bin/gnome-shell gnome-shell-42.1-2.fc36.x86_64 (Fedora Project) 1653173925
executable:     /usr/bin/gnome-shell
journald_cursor: s=fc267f59c6ad4d6a97443944e0a513d6;i=2382a3;b=ae70a6da26804c7a89ca709b4176a757;m=acab37cd;t=5df8ddda3f9cc;x=29d9ea5cef34d61a
kernel:         5.17.8-300.fc36.x86_64
package:        gnome-shell-42.1-2.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 62 Alexander 2022-05-22 13:49:25 UTC
*** Bug 2089017 has been marked as a duplicate of this bug. ***

Comment 63 breier 2022-05-23 09:49:37 UTC
*** Bug 2089252 has been marked as a duplicate of this bug. ***

Comment 64 ptang 2022-05-23 18:00:36 UTC
*** Bug 2089457 has been marked as a duplicate of this bug. ***

Comment 65 Rafał Majka 2022-05-24 09:35:11 UTC
*** Bug 2089702 has been marked as a duplicate of this bug. ***

Comment 66 Edmilson Vasconcelos 2022-05-24 12:01:58 UTC
Similar problem has been detected:

logged out, switched from xorg to wayland on gdm and loggged in. 

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/app-gnome-org.gnome.Extensions-0.scope
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
dso_list:       /usr/bin/gnome-shell gnome-shell-42.1-2.fc36.x86_64 (Fedora Project) 1653235665
executable:     /usr/bin/gnome-shell
journald_cursor: s=752a015b45b747c68e4f70d44166d714;i=9b89f;b=77964ee887564cb79ccaff641af2f411;m=26ad84e;t=5dfc00e607bc0;x=c36b3ad0696ea46
kernel:         5.17.8-300.fc36.x86_64
package:        gnome-shell-42.1-2.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 67 carlostp7 2022-05-24 16:06:11 UTC
Similar problem has been detected:

Just Login in fedora 36 wayland with nvidia driver enabled.

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/session.slice/org.gnome.Shell@x11.service
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
executable:     /usr/bin/gnome-shell
journald_cursor: s=906404fcb3bf4721807e2de56dda23aa;i=1c147;b=a58b7c0f46fb4c4a8dc355d4fc6ec4eb;m=5795073b;t=5dfc3aa9a185b;x=da864954800b812f
kernel:         5.17.9-300.fc36.x86_64
package:        gnome-shell-42.1-2.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 68 Alexander 2022-05-24 18:30:23 UTC
*** Bug 2089941 has been marked as a duplicate of this bug. ***

Comment 69 Ubiratan Oliverio 2022-05-24 19:00:40 UTC
*** Bug 2089948 has been marked as a duplicate of this bug. ***

Comment 70 David Cussans 2022-05-25 09:31:36 UTC
Similar problem has been detected:

logging on for first time after system upgrade

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-47350.slice/user@47350.service/session.slice/org.gnome.Shell@x11.service
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
dso_list:       /usr/bin/gnome-shell gnome-shell-42.1-2.fc36.x86_64 (Fedora Project) 1653410097
executable:     /usr/bin/gnome-shell
journald_cursor: s=bb8325143c0a4c68a2702e77f1dde6cf;i=3a0c04;b=b9ed5e6eb28e4ba7a24261bfa0b34e2a;m=d6bbb81df;t=5dfd23d6b07a0;x=b06cc590fd53347
kernel:         5.17.9-300.fc36.x86_64
package:        gnome-shell-42.1-2.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            47350

Comment 71 Serial.com 2022-05-25 18:46:48 UTC
*** Bug 2090444 has been marked as a duplicate of this bug. ***

Comment 72 Diego Bandeira 2022-05-26 02:13:19 UTC
*** Bug 2090542 has been marked as a duplicate of this bug. ***

Comment 73 etnomax 2022-05-27 11:53:13 UTC
Similar problem has been detected:

after log in i have a freeze of my desktop

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/session.slice/org.gnome.Shell@x11.service
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
executable:     /usr/bin/gnome-shell
journald_cursor: s=7ab3918e9aa64f63b837a5207c51fdab;i=1494;b=0e8393d19cbd481d858fe9f34d6dc263;m=63d6d7c9;t=5dfda95939bad;x=4764df173440f172
kernel:         5.17.9-300.fc36.x86_64
package:        gnome-shell-42.1-2.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 74 Ankur Sinha (FranciscoD) 2022-05-27 14:45:31 UTC
Similar problem has been detected:

I ran a `dnf update` (I usually do an offline upgrade, but there were only a few packages so I thought I'd risk an online one), and when the ibus package's scriptlets were running, my system froze. I went to another account using ctrl alt f1 and killed the shell from there. When I returned to the shell (ctrl alt f2), some icons were messed up so I gave in and restarted.

Update details:

$ sudo dnf history info last
[sudo] password for asinha: 
Transaction ID : 118
Begin time     : Fri 27 May 2022 15:03:23 BST
Begin rpmdb    : e3882f70ef6b0c8eaaa8c88d6e90347fff97dd21
End time       : Fri 27 May 2022 15:03:26 BST (3 seconds)
End rpmdb      : 0f06f37e21a0fd7a266bdc38927f737c6b326f81
User           : Ankur Sinha <asinha>
Return-Code    : Success
Releasever     : 36
Command Line   : update
Comment        : 
Packages Altered:
    Upgrade  ibus-1.5.26-7.fc36.x86_64                        @updates-testing
    Upgraded ibus-1.5.26-6.fc36.x86_64                        @@System
    Upgrade  ibus-gtk2-1.5.26-7.fc36.x86_64                   @updates-testing
    Upgraded ibus-gtk2-1.5.26-6.fc36.x86_64                   @@System
    Upgrade  ibus-gtk3-1.5.26-7.fc36.x86_64                   @updates-testing
    Upgraded ibus-gtk3-1.5.26-6.fc36.x86_64                   @@System
    Upgrade  ibus-libs-1.5.26-7.fc36.x86_64                   @updates-testing
    Upgraded ibus-libs-1.5.26-6.fc36.x86_64                   @@System
    Upgrade  ibus-setup-1.5.26-7.fc36.noarch                  @updates-testing
    Upgraded ibus-setup-1.5.26-6.fc36.noarch                  @@System
    Upgrade  libguestfs-1:1.48.3-1.fc36.x86_64                @updates-testing
    Upgraded libguestfs-1:1.48.2-2.fc36.x86_64                @@System
    Upgrade  libguestfs-appliance-1:1.48.3-1.fc36.x86_64      @updates-testing
    Upgraded libguestfs-appliance-1:1.48.2-2.fc36.x86_64      @@System
    Upgrade  openldap-2.6.2-1.fc36.x86_64                     @updates-testing
    Upgraded openldap-2.6.1-2.fc36.x86_64                     @@System
    Upgrade  openldap-compat-2.6.2-1.fc36.x86_64              @updates-testing
    Upgraded openldap-compat-2.6.1-2.fc36.x86_64              @@System
    Upgrade  python3-google-api-client-2:2.49.0-1.fc36.noarch @updates-testing
    Upgraded python3-google-api-client-2:2.48.0-1.fc36.noarch @@System
    Upgrade  python3-libguestfs-1:1.48.3-1.fc36.x86_64        @updates-testing
    Upgraded python3-libguestfs-1:1.48.2-2.fc36.x86_64        @@System
    Upgrade  qt6-qtsvg-6.3.0-3.fc36.x86_64                    @updates-testing
    Upgraded qt6-qtsvg-6.3.0-2.fc36.x86_64                    @@System

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1001.slice/user@1001.service/session.slice/org.gnome.Shell@x11.service
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
executable:     /usr/bin/gnome-shell
journald_cursor: s=3e413c00d51745f6b8fa239610b34a42;i=46877f;b=23394fc7abc2489e8732bf95f4231baf;m=17b4ad5bdb;t=5dffed7b64667;x=2000a163da608e7
kernel:         5.17.11-300.fc36.x86_64
package:        gnome-shell-42.1-2.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 75 Yuro Sol 2022-05-27 15:40:50 UTC
*** Bug 2091122 has been marked as a duplicate of this bug. ***

Comment 76 Serial.com 2022-05-27 17:11:00 UTC
Similar problem has been detected:

Every update of this extension shows an error message in Gnome-Shell.  This is normal?
Using Fedora 36 with Gnome 42.1

https://retrace.fedoraproject.org/faf/reports/bthash/ab41119f1a302182c65217b081b3402b94d651f4

https://github.com/aunetx/blur-my-shell/issues/new

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/app-gnome-org.gnome.Extensions-0.scope
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
executable:     /usr/bin/gnome-shell
journald_cursor: s=4917da4ac04747388738af1f57acbc20;i=196d1;b=1b10b927c43040638569c552890c59af;m=c591c7b;t=5e000ef99a5e3;x=3564be3d9c06486a
kernel:         5.17.9-300.fc36.x86_64
package:        gnome-shell-42.1-2.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 77 Ubiratan Oliverio 2022-05-27 17:31:47 UTC
*** Bug 2091171 has been marked as a duplicate of this bug. ***

Comment 78 Alexander 2022-05-29 09:02:24 UTC
*** Bug 2091364 has been marked as a duplicate of this bug. ***

Comment 79 Serial.com 2022-05-29 18:04:57 UTC
Similar problem has been detected:

Any and all updates of any extension in Fedora 36 with Gnome 42.1, Gnome-Shell has issues. @fedora , @mattdm , @gnome
 

https://imgur.com/a/nAQnphu
https://github.com/aunetx/blur-my-shell/issues/267
Log - Fedora 36 com Gnome 42.1 - journalctl -p 3 --no-pager ( https://pastebin.com/LHU0JFRL)

https://ask.fedoraproject.org/t/every-update-of-this-extension-shows-an-error-message-in-gnome-shell-this-is-normal/22842

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/app-gnome-org.gnome.Extensions-0.scope
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
dso_list:       /usr/bin/gnome-shell gnome-shell-42.1-2.fc36.x86_64 (Fedora Project) 1653141758
executable:     /usr/bin/gnome-shell
journald_cursor: s=f24771175d1545c59f61f0d18eebd48b;i=ef5d;b=b1010a361232462ba30f8b4897df094d;m=313a91546;t=5e029e61baaa3;x=ec8dd7097f5464cb
kernel:         5.17.11-300.fc36.x86_64
package:        gnome-shell-42.1-2.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 80 Fedora Update System 2022-05-29 20:24:28 UTC
FEDORA-2022-7a159f5fcd has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7a159f5fcd

Comment 81 Adam Williamson 2022-05-29 20:25:13 UTC
I believe this should no longer happen with mutter 42.2, please test and report. Thanks.

Comment 82 Serial.com 2022-05-29 21:29:37 UTC
(In reply to Adam Williamson from comment #81)
> I believe this should no longer happen with mutter 42.2, please test and
> report. Thanks.

Hi,

As below, Fedora 36 did not receive the new updates that are already in Distrowatch (https://distrowatch.com )
05/28	gnome-shell • 42.2
05/27	nautilus    • 42.2

[edson@fedora ~]$ gnome-shell
libmutter-Message: 18:24:18.145: Running GNOME Shell (using mutter 42.1) as a X11 window and compositing manager
org.gnome.Shell already exists on bus and --replace not specified

Comment 83 Adam Williamson 2022-05-30 06:17:58 UTC
The update is in testing. See comment #80. If you click that link you can see instructions on how to install it.

Comment 84 Fedora Update System 2022-05-30 06:24:47 UTC
FEDORA-2022-7a159f5fcd has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-7a159f5fcd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-7a159f5fcd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 85 Fredrik Chabot 2022-05-31 16:33:23 UTC
*** Bug 2092062 has been marked as a duplicate of this bug. ***

Comment 86 Fedora Update System 2022-06-01 01:24:41 UTC
FEDORA-2022-7a159f5fcd has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 87 ChappersRH 2022-06-01 13:20:25 UTC
Similar problem has been detected:

Performed a full logout and then a reboot. 

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/app-gnome-org.gnome.Nautilus-0.scope
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
dso_list:       /usr/bin/gnome-shell gnome-shell-42.1-2.fc36.x86_64 (Fedora Project) 1653230654
executable:     /usr/bin/gnome-shell
journald_cursor: s=4018ea6a224042a693779accebcacf38;i=3424ad7;b=08e8287c96994b9f8e832f104b867a9b;m=403c812b5a;t=5e05332c46032;x=9f10129f910b0b66
kernel:         5.17.11-300.fc36.x86_64
package:        gnome-shell-42.1-2.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 88 Kamil Páral 2022-06-02 13:32:32 UTC
(In reply to Fedora Update System from comment #80)
> FEDORA-2022-7a159f5fcd has been submitted as an update to Fedora 36.
> https://bodhi.fedoraproject.org/updates/FEDORA-2022-7a159f5fcd

With this update, I no longer see a crash when repeatedly logging in and out.

Comment 89 Matthew Saltzman 2022-06-04 16:20:09 UTC
Similar problem has been detected:

I think this happened on a restart

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/session.slice/org.gnome.Shell@x11.service
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_get_window_type
executable:     /usr/bin/gnome-shell
journald_cursor: s=773ec2ab459544a49a38bf37e642108c;i=436cc;b=cd847ac5f84f497bae6cd2d716408165;m=1f2e967ee0;t=5e0695dea1d5b;x=9e0bc36029f7d68c
kernel:         5.17.8-300.fc36.x86_64
package:        gnome-shell-42.1-2.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.